<h1 id="piveau-fifoc"><strong>piveau-fifoc</strong></h1>
<p>piveau-fifoc uses these tools: <a href="https://pandoc.org/">pandoc</a>, <a href="https://pypi.org/project/pdfkit/">pdfkit</a>, <a href="https://pypi.org/project/PyPandas/">pypandas</a>, <a href="https://pypi.org/project/docx2pdf/">docx2pdf</a>, <a href="https://pypi.org/project/odfpy/">odfpy</a>, <a href="https://pypi.org/project/json2xml/">json2xml</a>, <a href="https://pypi.org/project/docx2txt/">docx2txt</a>, <a href="https://pypi.org/project/Csv2Xml/">csv2xml</a>.
<h2>Input/output formats </h2>
piveau-fifoc can convert from left to the right in following formats:<br><br>


<style>
    table.FormatsTable {
        background-color: #ffffff;
        border-collapse: collapse;
        border-width: 2px;
        border-color: #ffcc00;
        border-style: solid;
        color: #000000;
    }

    table.FormatsTable td, table.FormatsTable th {
        border-width: 2px;
        border-color: #ffcc00;
        border-style: solid;
        padding: 3px;
    }

    table.FormatsTable thead {
        background-color: #ffcc00;
    }
</style>

<table class="FormatsTable">
    <thead>
    <tr>
        <th>Source file Format</th>
        <th></th>
        <th>Target file format</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>HTML</td>
        <th>===></th>
        <td>pdf, docx, json, odt, rtf</td>
    </tr>
    <tr>
        <td>CSV</td>
        <th>===></th>
        <td>docx, html, json, odt, rtf, xlsx, xml</td>
    </tr>
    <tr>
        <td>JSON</td>
        <th>===></th>
        <td>xml</td>
    </tr>
    <tr>
        <td>ODT</td>
        <th>===></th>
        <td>docx, html, json, rtf</td>
    </tr>
    <tr>
        <td>DOCX</td>
        <th>===></th>
        <td>pptx, odt, pdf, txt, html, json, odt, rtf</td>
    </tr>
    <tr>
        <td>XLSX, XLS</td>
        <th>===></th>
        <td>csv</td>
    </tr>
    <tr>
        <td>XLSX</td>
        <th>===></th>
        <td>html</td>
    </tr>
    <tr>
        <td>PDF</td>
        <th>===></th>
        <td>txt, docx</td>
    </tr>
    </tbody>
</table>


<h2>How to use curl to convert file:</h2>
<li>curl -X POST --data-binary @sample.csv http://localhost:5000/v1/convert/csv/json/ > username.json</li>
<li>curl -X POST --data-binary @sample.csv http://localhost:5000/v1/convert/csv/xlsx/ > output.xlsx</li>
<li>curl -X POST --data-binary @example.docx http://localhost:5000/v1/convert/docx/pdf/ &gt; output.pdf</li>
<p>using curl to convert from url:</p>
<li>curl http://localhost:5000/v1/convert/csv/json/?url=https://somewhere.com/example.csv > output.json</li>
<li>curl http://localhost:5000/v1/convert/csv/xlsx/?url=https://somewhere.com/example.csv > output.xlsx</li>
<h2 id="api">API</h2>
<p>&#39;/&#39; <a href="/">Swagger UI</a>, methods=[&#39;GET&#39;]</p>
<p>&#39;/help&#39; <a href="/help">Help</a>, methods=[&#39;GET&#39;]</p>
<p>/v1/convert/&lt;in_format&gt;/&lt;out_format>/, methods=[&#39;POST&#39;]</p>
<p>input contents are in raw post data and output is in raw post response.</p>
<p>/v1/convert/&lt;in_format&gt;/&lt;out_format>/, methods=[&#39;GET&#39;]</p>
<p>input named parameter is the URL to convert and output is in raw post response.</p>
<p>/v1/formats/&lt;in_format&gt;/, methods[&#39;GET&#39;]</p>
<p>Get the valid output formats for the given in_format</p>
